Rijndael_Info Struct Reference

Rijndael block cipher information. More...

`#include <rijndael.h>`

Inheritance diagram for Rijndael_Info:

## Static Public Member Functions

static CRYPTOPP_DLL const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from VariableKeyLength< 16, 16, 32, 8 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function.

## Additional Inherited Members

Static Public Attributes inherited from FixedBlockSize< 16 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from VariableKeyLength< 16, 16, 32, 8 >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant.

## Detailed Description

Rijndael block cipher information.

All key sizes are supported. The library only provides Rijndael with 128-bit blocks, and not 192-bit or 256-bit blocks

Since
  Rijndael since Crypto++ 3.1, Intel AES-NI since Crypto++ 5.6.1, ARMv8 AES since Crypto++ 6.0, Power8 AES since Crypto++ 6.0, ARMv7 AES since Crypto++ 8.0

Definition at line 34 of file rijndael.h.

## Member Function Documentation

## StaticAlgorithmName()

static CRYPTOPP_DLL const char * Rijndael_Info::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 36 of file rijndael.h.

The documentation for this struct was generated from the following file:

- rijndael.h